package xn.hxp.ui.plan.room.bean.locker;

public class HxpCabinetLockVo {
    // ("柜门id")
    private long doorId;

    // ("柜锁id")
    private long lockId;

    // ("锁类型：2是智能锁，3是钥匙柜")
    private int unlockingMethod;

    // ("锁名称")
    private String lockName;

    // ("锁编号")
    private String lockNum;

    // ("柜格编号：1,2,3 参考数据")
    private String cabinetLattice;

    /**
     * 0: 未开过锁
     * 1: 开锁并开锁成功
     * 2: 开过锁但开锁失败
     * 3: 开锁中
     */
    private int unlockType = 0;

    public int getUnlockType() {
        return unlockType;
    }

    public void setUnlockType(int unlockType) {
        this.unlockType = unlockType;
    }

    public long getDoorId() {
        return doorId;
    }

    public void setDoorId(long doorId) {
        this.doorId = doorId;
    }

    public long getLockId() {
        return lockId;
    }

    public void setLockId(long lockId) {
        this.lockId = lockId;
    }

    public int getUnlockingMethod() {
        return unlockingMethod;
    }

    public void setUnlockingMethod(int unlockingMethod) {
        this.unlockingMethod = unlockingMethod;
    }

    public String getLockName() {
        return lockName;
    }

    public void setLockName(String lockName) {
        this.lockName = lockName;
    }

    public String getLockNum() {
        return lockNum;
    }

    public void setLockNum(String lockNum) {
        this.lockNum = lockNum;
    }

    public String getCabinetLattice() {
        return cabinetLattice;
    }

    public void setCabinetLattice(String cabinetLattice) {
        this.cabinetLattice = cabinetLattice;
    }

    @Override
    public String toString() {
        return "HxpCabinetLockVo{" +
                "doorId=" + doorId +
                ", lockId=" + lockId +
                ", unlockingMethod=" + unlockingMethod +
                ", lockName='" + lockName + '\'' +
                ", lockNum='" + lockNum + '\'' +
                ", cabinetLattice='" + cabinetLattice + '\'' +
                '}';
    }
}
